import request from './request.js';
// 修改家人信息
const familyInfo = async (data) => {
	const res = await request.post({ url: `/user/commit-application`, data });
	return res.data;
}
// 获取家人信息
const getFamilyInfo = async (data) => {
	const res = await request.get({ url: `/wx/resident/members`, data });
	return res.data;
}
// 获取家人信息详情
const getFamilyInfoDetails = async (data) => {
	const res = await request.get({ url: `/wx/resident/info`, data });
	return res.data;
}
// 报备状态 
const membersStatus = async (data) => {
	const res = await request.post({ url: `/nat/members-status`, data });
	return res.data;
}
// 当前任务
const runningTask = async (data) => {
	const res = await request.get({ url: `/nat/running-task`, data });
	return res.data;
}
// 报备 
const filing = async (data) => {
	const res = await request.post({ url: `/nat/add-record`, data });
	return res.data;
}
// 获取家庭成员列表 待审核，含本人
const getApplyUser = async (data) => {
	const res = await request.get({ url: `/resident/req/list`, data });
	return res.data;
}
// 获取待审核信息详情
const getReqInfoDetails = async (data) => {
	const res = await request.get({ url: `/resident/req/${data.residentReqId}` });
	return res.data;
}
// 所有待报备
const getUserAll = async (data) => {
	const res = await request.get({ url: `/wx/resident/members-for-reporting` });
	return res.data;
}
// 取消审核申请
const removeApply = async (data) => {
	const res = await request.post({ url: `/resident/req/cancel/${data.residentReqId}`, data });
	return res.data;
}
export default { familyInfo, getFamilyInfo, filing, membersStatus, runningTask, getFamilyInfoDetails, getApplyUser, getReqInfoDetails, getUserAll, removeApply };